from setuptools import setup, find_packages

# Setting up
setup(
       # the name must match the folder name 'verysimplemodule'
        name='openplugin-client', 
        version="0.1.0",
        author="Sebastian Sosa",
        author_email="1sebastian1sosa1@gmail.com",
        description='Python package that provides tooling for using ChatGPT packages with OpenAI Chat Completion API',
        long_description='Python package that provides tooling for using ChatGPT packages with OpenAI Chat Completion API',
        packages=find_packages(),
        install_requires=[
            'pyyaml',
            'requests'
        ], # add any additional packages
        
        keywords=[
            'python',
            'openai',
            'chatgpt',
            'chat',
            'plugin'
        ],
        classifiers= [
            "Development Status :: 2 - Pre-Alpha",
            "Intended Audience :: Developers",
            "Programming Language :: Python :: 3.10",
            "Programming Language :: Python :: 3",
            "Operating System :: MacOS :: MacOS X",
            "Operating System :: Microsoft :: Windows",
        ]
)